org.richfaces.fragment.accordion

## Class RichFacesAccordionItem.AdvancedAccordionItemInteractions

- java.lang.Object
- - org.richfaces.fragment.accordion.RichFacesAccordionItem.AdvancedAccordionItemInteractions

- Enclosing class:
    RichFacesAccordionItem

      public class RichFacesAccordionItem.AdvancedAccordionItemInteractions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesAccordionItem.AdvancedAccordionItemInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.jboss.arquillian.graphene.GrapheneElement` | `getActiveHeaderElement()`
    `org.openqa.selenium.WebElement` | `getContentElement()`
    `protected org.jboss.arquillian.graphene.GrapheneElement` | `getDisabledHeaderElement()`
    `String` | `getHeader()`
    `org.openqa.selenium.WebElement` | `getHeaderElement()`
    `protected org.openqa.selenium.WebElement` | `getInactiveHeaderElement()`
    `org.openqa.selenium.WebElement` | `getToActivateElement()`
    `boolean` | `isActive()`
    `boolean` | `isEnabled()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesAccordionItem.AdvancedAccordionItemInteractions

          public RichFacesAccordionItem.AdvancedAccordionItemInteractions()

  - ### Method Detail

    - #### getHeader

          public String getHeader()

    - #### getHeaderElement

          public org.openqa.selenium.WebElement getHeaderElement()

    - #### isActive

          public boolean isActive()

    - #### isEnabled

          public boolean isEnabled()

    - #### getContentElement

          public org.openqa.selenium.WebElement getContentElement()

    - #### getToActivateElement

          public org.openqa.selenium.WebElement getToActivateElement()

    - #### getActiveHeaderElement

          protected org.jboss.arquillian.graphene.GrapheneElement getActiveHeaderElement()

    - #### getDisabledHeaderElement

          protected org.jboss.arquillian.graphene.GrapheneElement getDisabledHeaderElement()

    - #### getInactiveHeaderElement

          protected org.openqa.selenium.WebElement getInactiveHeaderElement()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.